Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009397 [DCSS] Bug Report tweak always 2015-01-12 03:32 2015-01-29 14:54
Reporter XuaXua View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.16 ancient branch
Summary 0009397: Is Natasha supposed to Mephitic Cloud herself all the time?
Description Whenever Natasha uses Mephitic Cloud, she either hits herself, or has no problem walking into a gas-filled square. Cats capable of casting spells are probably not stupid enough to also walk into them and get confused, but she does this constantly; I strongly suspect she isn't supposed to do so, and there is probably a flag that is not flipped.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0028269)
PleasingFungus (administrator)
2015-01-12 04:36

Tweaked some logic ( 9bd3662eee ); it should be considerably less common now.
(0028270)
XuaXua (reporter)
2015-01-12 04:43

I will assume this has been corrected and close rather than test.
(0028309)
neil (administrator)
2015-01-19 20:06

Reopening: it's not an emergency spell for Natasha anymore, so the change doesn't make as much of an impact as thought (it's only a slight reduction in the chance she'll walk into meph if she's at full HP).
(0028381)
wheals (administrator)
2015-01-28 16:06

And then Natasha lost the spell, so the only monsters still with it are ghosts or pan lords, both immune.

- Issue History
Date Modified Username Field Change
2015-01-12 03:32 XuaXua New Issue
2015-01-12 04:36 PleasingFungus Note Added: 0028269
2015-01-12 04:36 PleasingFungus Status new => resolved
2015-01-12 04:36 PleasingFungus Fixed in Branch => 0.16 development branch
2015-01-12 04:36 PleasingFungus Resolution open => done
2015-01-12 04:36 PleasingFungus Assigned To => PleasingFungus
2015-01-12 04:43 XuaXua Note Added: 0028270
2015-01-12 04:43 XuaXua Status resolved => closed
2015-01-19 19:46 geekosaur Issue Monitored: geekosaur
2015-01-19 19:46 geekosaur Issue End Monitor: geekosaur
2015-01-19 20:06 neil Assigned To PleasingFungus =>
2015-01-19 20:06 neil Note Added: 0028309
2015-01-19 20:06 neil Status closed => new
2015-01-19 20:06 neil Resolution done => reopened
2015-01-28 16:06 wheals Note Added: 0028381
2015-01-28 16:06 wheals Status new => resolved
2015-01-28 16:06 wheals Resolution reopened => done
2015-01-28 16:06 wheals Assigned To => wheals
2015-01-29 14:54 XuaXua Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker